*** a/contrib/hstore/Makefile
--- b/contrib/hstore/Makefile
***************
*** 1,9 ****
  # contrib/hstore/Makefile
  
- subdir = contrib/hstore
- top_builddir = ../..
- include $(top_builddir)/src/Makefile.global
- 
  MODULE_big = hstore
  OBJS = hstore_io.o hstore_op.o hstore_gist.o hstore_gin.o hstore_compat.o \
  	crc32.o
--- 1,5 ----
***************
*** 12,15 **** DATA_built = hstore.sql
--- 8,21 ----
  DATA = uninstall_hstore.sql
  REGRESS = hstore
  
+ ifdef USE_PGXS
+ PG_CONFIG = pg_config
+ PGXS := $(shell $(PG_CONFIG) --pgxs)
+ include $(PGXS)
+ else
+ subdir = contrib/hstore
+ top_builddir = ../..
+ include $(top_builddir)/src/Makefile.global
  include $(top_srcdir)/contrib/contrib-global.mk
+ endif
+ 
